<?php

namespace App\Models\Virtual;

use App\Core\Model;

class Property extends Model
{
    protected $table = 'virtual_properties';

    protected $casts = [
        'province' => 'array',
    ];

    public function company()
    {
        return $this->belongsTo(Company::class, 'company_id', 'id');
    }

    public function package()
    {
        return $this->belongsTo(Package::class, 'package_id', 'id');
    }
}
